<template>
  <div
    class="container"
  >
    <edit-group-title />
    <hr>
    <div
      class="row"
    >
      <div
        class="col-md-12"
        style="margin-bottom: 1vh;padding-left: 0;"
      >
        <click-button
          @click="$router.push({'path':'/groupements'})"
        >
          <template slot="content">
            Gérer les groupements
          </template>
        </click-button>
      </div>
    </div>
    <edit-group-form />
  </div>
</template>

<script>
import EditGroupTitle from './../../../components/Title/Group/EditGroupTitle.vue'
import {mapActions, mapGetters} from 'vuex'
import EditGroupForm from './../../../components/Form/Group/EditGroupForm.vue'
import ClickButton from "../../../components/Button/ClickButton";

export default {
  name: 'EditGroup',
  components: {ClickButton, EditGroupTitle, EditGroupForm},
  data() {
    return {
      groupIdentifier: this.$route.params.groupIdentifier || ''
    }
  },
  computed: {
    ...mapGetters([
      'user'
    ])
  },
  created() {
    this.fetchGroup(this.$route.params.groupIdentifier)
  },
  methods: {
    ...mapActions([
      'fetchGroup'
    ])
  }
}
</script>

<style scoped>

</style>